@echo off
rem
rem makeegg.bat
rem
if "%2"=="" goto usage
if "%3"=="" goto droptable
set a3=%3
goto begin
:droptable
set a3=one
if "%1"=="dr" set a3=dname
if "%1"=="DR" set a3=dname
rem if "%1"=="choice2" set a3=dname
rem if "%1"=="CHOICE2" set a3=dname
if "%1"=="shoot" set a3=dname
if "%1"=="SHOOT" set a3=dname
:begin
set eggfile=temp.egg
echo [mission]>%eggfile%
echo adventure=Red Planet>>%eggfile%
echo map=%1>>%eggfile%
echo scenario=race>>%eggfile%
echo time=night>>%eggfile%
echo weather=clear>>%eggfile%
echo temperature=0>>%eggfile%
echo compression=0>>%eggfile%
echo //length=600>>%eggfile%
echo.>>%eggfile%
echo [pilots]>>%eggfile%
echo pilot=200.0.0.255>>%eggfile%
echo.>>%eggfile%
echo [200.0.0.255]>>%eggfile%
echo hostType=0>>%eggfile%
echo dropzone=%a3%>>%eggfile%
echo name=Slag>>%eggfile%
echo bitmapindex=1>>%eggfile%
echo loadzones=1>>%eggfile%
echo vehicle=%2>>%eggfile%
echo ; uncomment one color and one badge>>%eggfile%
echo //color=Aqua>>%eggfile%
echo //color=Black>>%eggfile%
echo //color=Blue>>%eggfile%
echo //color=Green>>%eggfile%
echo color=Pink>>%eggfile%
echo //color=Purple>>%eggfile%
echo //color=Red>>%eggfile%
echo //color=White>>%eggfile%
echo //color=Yellow>>%eggfile%
echo //badge=None>>%eggfile%
echo //badge=Celtic>>%eggfile%
echo //badge=Desert>>%eggfile%
echo //badge=Flames>>%eggfile%
echo //badge=Giraffe>>%eggfile%
echo badge=Hawaii>>%eggfile%
echo //badge=Korean>>%eggfile%
echo //badge=Lightning>>%eggfile%
echo //badge=Razzle Dazzle>>%eggfile%
echo //badge=Rising Sun>>%eggfile%
echo //badge=Tiger Stripe>>%eggfile%
echo.>>%eggfile%
if exist bitmaps.egg type bitmaps.egg>>%eggfile%
echo.
echo '%eggfile%' made for course '%1', vehicle '%2', and dropzone '%a3%'.
echo.
set eggfile=
set a3=
goto end
:usage
echo.
echo usage:  makeegg  course  vehicle  [dropzone]   (no extensions)
echo.
:end
